Name:           perl-PPI-XS
Version:        0.902
Release:        1%{?dist}
Summary:        XS acceleration for PPI
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/PPI-XS/
Source0:        http://www.cpan.org/authors/id/D/DA/DAGOLDEN/PPI-XS-%{version}.tar.gz
BuildRequires:  perl
BuildRequires:  perl(inc::Module::Install::DSL) >= 0.86
# Run-time:
BuildRequires:  perl(PPI) >= 1.000
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
BuildRequires:  perl(XSLoader)
# Tests:
BuildRequires:  perl(Test::More) >= 0.47
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%{?perl_default_filter}

%description
PPI::XS provides XS-based acceleration of the core PPI packages. It
selectively replaces a (small but growing) number of methods throughout PPI
with identical but much faster C versions.

%prep
%setup -q -n PPI-XS-%{version}
# Remove bundled modules
rm -rf inc/*
sed -i -e '/^inc\//d' MANIFEST
# Fix OELs
for F in Changes; do
    tr -d "\r" < "$F" > "${F}.unix"
    touch -r "$F" "${F}.unix"
    mv "${F}.unix" "$F"
done

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/PPI*
%{_mandir}/man3/*

%changelog
* Fri Mar 01 2013 Petr Pisar <ppisar@redhat.com> 0.902-1
- Specfile autogenerated by cpanspec 1.78.
